
import java.util.Iterator;

// Datei: MitarbeiterArray.java
// Implementierung von IDatenstruktur
class MitarbeiterArray implements Iterable<Mitarbeiter> {

    final int max = 10;
    Mitarbeiter[] data = new Mitarbeiter[max];
    int index = 0;
//Implementierung der erzeugeIterator()-Funktion
//Gibt als Rueckgabewert den fuer diese Datenstruktur spezifischen
//Iterator zurueck
    public Iterator<Mitarbeiter> iterator() {
        return new MitarbeiterIterator(data, index);
    }
//Funktion zum Hinzufuegen eines neuen Mitarbeiters
    public void add(Mitarbeiter ma) {
        if (index < max - 1) {
            data[index++] = ma;
        }
    }
}