// Datei: KassettenSpieler.java
// KonkreterImplementierer
public class KassettenSpieler implements IAbspielgeraetImplementierer 
{
   private int currentTrack;

   public KassettenSpieler()
   {
      System.out.println("Spule an Anfang zurueck");
      currentTrack = 1;
   }

   public void springeZuTrack (int liedNummer)
   {
      int diff = liedNummer - currentTrack;

      if (diff > 0 ) 
      {
         System.out.println ("Spule um " + diff + 
                             " Tracks vor.");
      } 
      else 
      { 
         System.out.println ("Spule um " + (Math.abs (diff)+1) + 
                             " Tracks zurueck.");
      }
      
      System.out.println ("Nun sind wir an der richtigen " + 
                          "Stelle (Lied: " + liedNummer + ")");
      currentTrack = liedNummer;
   }

   public AbspielDaten leseDaten()
   {
      return new AbspielDaten ("Kassettendaten");		
   }

   public void ausschalten()
   {
      System.out.println ("Kassettenspieler abgeschalten.");
   }
}
