package Services;

// Datei: DeutschFranzoesischWoerterbuch.java
import java.util.HashMap;
import java.util.Map;
public class DeutschFranzoesischWoerterbuch implements IWoerterbuch {
   // Woerterliste
   private static Map<String, String> woerterListe;

   // Initalisierung der Woerterliste
   static
   {
      woerterListe = new HashMap<String, String>();
      woerterListe.put("Hallo", "Salut");
      woerterListe.put("Auf Wiedersehen", "Au revoir");
   }

   // Uebersetzungssprache
   public String gibSprache()
   {
      return "Deutsch-Franzoesisch";
   }

   // Uebersetzt ins Franzoesische
   public String gibUebersetzung(String wort)
   {
      return woerterListe.get(wort);
   }
}
