/*
 * Typ   : Interface
 * Name  : ControllerInterface
 * Paket : controller
 */
package controller;

/**
 * Interface fr alle Controller Klassen.
 * 
 * @author Vasilios Filippidis
 */
public interface IControllerInterface
{
	/**
	 * Prft die eingegebenen Werte fr rot, grn und blau und bergibt
	 * sie dem Model.
	 * 
	 * @param red Wert fr die rote Partei.
	 * @param green Wert fr die grne Partei.
	 * @param blue Wert fr die blaue Partei.
	 */
	public void setValues (String red, String green, String blue);
}
