
// Datei: Newsletter.java
import java.util.Vector;

public class Newsletter implements IBeobachtbar 
{
   private Vector<IBeobachter> abonnenten = new Vector<IBeobachter>();

   private String nachricht;

   public void aendereNachricht (String neueNachricht)
   {
      nachricht = neueNachricht;
      benachrichtigen();
   }

   public void abmelden (IBeobachter beobachter) 
   {
      abonnenten.remove (beobachter);
   }

   public void anmelden (IBeobachter beobachter) 
   {
      abonnenten.add (beobachter);
   }

   private void benachrichtigen() 
   {
      for (IBeobachter beobachter : abonnenten)
      {
         beobachter.aktualisieren (this);
      }
   }
   public String gibZustand() 
   {
      return nachricht;
   }
}
