// Datei: Passagier.java
public class Passagier 
{
   private String name = "";
   private Taxi taxi;

   public Passagier (String name)
   {
      this.name = name;
   }
   
   public String getName()
   {
      return name;
   }
   public void taxiBetreten (TaxiZentrale taxiZentrale)
   {
      taxi = taxiZentrale.taxiAnfordern();
      
      if (taxi == null) // Es ist kein freies Taxi vorhanden
         System.out.println ("Fuer Passagier " + this.getName() 
            + " ist kein freies Taxi vorhanden.");
      else
         taxi.passagierSteigtEin (this);
   }

   public void taxiVerlassen (TaxiZentrale taxiZentrale)
   {
      if (taxi != null)
      {
         taxi.passagierSteigtAus();
         taxiZentrale.taxiFreigeben (taxi);
      }
   }
}
