// Datei: ListenAbspielgeraet.java
import java.util.ArrayList;

// Spez. Abstraktion
public class ListenAbspielgeraet extends Abspielgeraet 
{
   private ArrayList<Integer> liste;

   public ListenAbspielgeraet (IAbspielgeraetImplementierer impl, 
                                  ArrayList<Integer> liste)
   {
      super (impl);
      this.liste = liste;
   }

   public void abspielenUndAusschalten() // neue Funktion
   {
      for (int i : liste)
      {
         impl.springeZuTrack (i);
         AbspielDaten daten = impl.leseDaten();
         System.out.println (daten);
      }
      impl.ausschalten();
   }
}
