
package server.autovermietung;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the server.autovermietung package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FahrzeugAbholen_QNAME = new QName("autovermietung.server", "fahrzeugAbholen");
    private final static QName _FahrzeugReservieren_QNAME = new QName("autovermietung.server", "fahrzeugReservieren");
    private final static QName _FahrzeugAbholenResponse_QNAME = new QName("autovermietung.server", "fahrzeugAbholenResponse");
    private final static QName _FahrzeugeAuflistenResponse_QNAME = new QName("autovermietung.server", "fahrzeugeAuflistenResponse");
    private final static QName _FahrzeugeAuflisten_QNAME = new QName("autovermietung.server", "fahrzeugeAuflisten");
    private final static QName _FahrzeugReservierenResponse_QNAME = new QName("autovermietung.server", "fahrzeugReservierenResponse");
    private final static QName _FahrzeugZurueckgebenResponse_QNAME = new QName("autovermietung.server", "fahrzeugZurueckgebenResponse");
    private final static QName _FahrzeugZurueckgeben_QNAME = new QName("autovermietung.server", "fahrzeugZurueckgeben");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: server.autovermietung
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FahrzeugeAuflistenResponse }
     * 
     */
    public FahrzeugeAuflistenResponse createFahrzeugeAuflistenResponse() {
        return new FahrzeugeAuflistenResponse();
    }

    /**
     * Create an instance of {@link FahrzeugAbholenResponse }
     * 
     */
    public FahrzeugAbholenResponse createFahrzeugAbholenResponse() {
        return new FahrzeugAbholenResponse();
    }

    /**
     * Create an instance of {@link FahrzeugReservieren }
     * 
     */
    public FahrzeugReservieren createFahrzeugReservieren() {
        return new FahrzeugReservieren();
    }

    /**
     * Create an instance of {@link FahrzeugAbholen }
     * 
     */
    public FahrzeugAbholen createFahrzeugAbholen() {
        return new FahrzeugAbholen();
    }

    /**
     * Create an instance of {@link FahrzeugZurueckgebenResponse }
     * 
     */
    public FahrzeugZurueckgebenResponse createFahrzeugZurueckgebenResponse() {
        return new FahrzeugZurueckgebenResponse();
    }

    /**
     * Create an instance of {@link FahrzeugReservierenResponse }
     * 
     */
    public FahrzeugReservierenResponse createFahrzeugReservierenResponse() {
        return new FahrzeugReservierenResponse();
    }

    /**
     * Create an instance of {@link FahrzeugZurueckgeben }
     * 
     */
    public FahrzeugZurueckgeben createFahrzeugZurueckgeben() {
        return new FahrzeugZurueckgeben();
    }

    /**
     * Create an instance of {@link FahrzeugeAuflisten }
     * 
     */
    public FahrzeugeAuflisten createFahrzeugeAuflisten() {
        return new FahrzeugeAuflisten();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugAbholen }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugAbholen")
    public JAXBElement<FahrzeugAbholen> createFahrzeugAbholen(FahrzeugAbholen value) {
        return new JAXBElement<FahrzeugAbholen>(_FahrzeugAbholen_QNAME, FahrzeugAbholen.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugReservieren }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugReservieren")
    public JAXBElement<FahrzeugReservieren> createFahrzeugReservieren(FahrzeugReservieren value) {
        return new JAXBElement<FahrzeugReservieren>(_FahrzeugReservieren_QNAME, FahrzeugReservieren.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugAbholenResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugAbholenResponse")
    public JAXBElement<FahrzeugAbholenResponse> createFahrzeugAbholenResponse(FahrzeugAbholenResponse value) {
        return new JAXBElement<FahrzeugAbholenResponse>(_FahrzeugAbholenResponse_QNAME, FahrzeugAbholenResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugeAuflistenResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugeAuflistenResponse")
    public JAXBElement<FahrzeugeAuflistenResponse> createFahrzeugeAuflistenResponse(FahrzeugeAuflistenResponse value) {
        return new JAXBElement<FahrzeugeAuflistenResponse>(_FahrzeugeAuflistenResponse_QNAME, FahrzeugeAuflistenResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugeAuflisten }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugeAuflisten")
    public JAXBElement<FahrzeugeAuflisten> createFahrzeugeAuflisten(FahrzeugeAuflisten value) {
        return new JAXBElement<FahrzeugeAuflisten>(_FahrzeugeAuflisten_QNAME, FahrzeugeAuflisten.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugReservierenResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugReservierenResponse")
    public JAXBElement<FahrzeugReservierenResponse> createFahrzeugReservierenResponse(FahrzeugReservierenResponse value) {
        return new JAXBElement<FahrzeugReservierenResponse>(_FahrzeugReservierenResponse_QNAME, FahrzeugReservierenResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugZurueckgebenResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugZurueckgebenResponse")
    public JAXBElement<FahrzeugZurueckgebenResponse> createFahrzeugZurueckgebenResponse(FahrzeugZurueckgebenResponse value) {
        return new JAXBElement<FahrzeugZurueckgebenResponse>(_FahrzeugZurueckgebenResponse_QNAME, FahrzeugZurueckgebenResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FahrzeugZurueckgeben }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "autovermietung.server", name = "fahrzeugZurueckgeben")
    public JAXBElement<FahrzeugZurueckgeben> createFahrzeugZurueckgeben(FahrzeugZurueckgeben value) {
        return new JAXBElement<FahrzeugZurueckgeben>(_FahrzeugZurueckgeben_QNAME, FahrzeugZurueckgeben.class, null, value);
    }

}
