package autovermietung.serviceanbieter;

import java.io.IOException;

import javax.swing.JOptionPane;

import com.sun.jersey.api.container.httpserver.HttpServerFactory;
import com.sun.jersey.*;
import com.sun.net.httpserver.HttpServer;


// Datei: AutovermietungMain.java
public class AutovermietungMain {
  public static void main(String[] args) {
    HttpServer s;
    String url = "http://localhost:8080/rest";
    try {
      s = HttpServerFactory.create(url);
      s.start();
      System.out.println("Der Web Service ist nun im Netzwerk "
          + "unter der Adresse" + url + " aufrufbar.");
      System.out.println("Serviceanbieter lauscht jetzt...");
    } catch (IllegalArgumentException | IOException e) {
      e.printStackTrace();
    }
  }
}
